com.amazonaws.services.elastictranscoder.model

## Class CaptionFormat

- java.lang.Object
- - com.amazonaws.services.elastictranscoder.model.CaptionFormat

All Implemented Interfaces:
  Serializable, Cloneable

    public class CaptionFormat
    extends Object
    implements Serializable, Cloneable

The file format of the output captions. If you leave this value blank, Elastic Transcoder returns an error.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`CaptionFormat()`

### Method Summary

All Methods Instance Methods Concrete Methods
`CaptionFormat` `clone()`
`boolean` `equals(Object obj)`
`Encryption` `getEncryption()` The encryption settings, if any, that you want Elastic Transcoder to apply to your caption formats.
`String` `getFormat()` The format you specify determines whether Elastic Transcoder generates an embedded or sidecar caption for this output.
`String` `getPattern()` The prefix for caption filenames, in the form description-`{language}`, where:
`int` `hashCode()`
`void` `setEncryption(Encryption encryption)` The encryption settings, if any, that you want Elastic Transcoder to apply to your caption formats.
`void` `setFormat(String format)` The format you specify determines whether Elastic Transcoder generates an embedded or sidecar caption for this output.
`void` `setPattern(String pattern)` The prefix for caption filenames, in the form description-`{language}`, where:
`String` `toString()` Returns a string representation of this object; useful for testing and debugging.
`CaptionFormat` `withEncryption(Encryption encryption)` The encryption settings, if any, that you want Elastic Transcoder to apply to your caption formats.
`CaptionFormat` `withFormat(String format)` The format you specify determines whether Elastic Transcoder generates an embedded or sidecar caption for this output.
`CaptionFormat` `withPattern(String pattern)` The prefix for caption filenames, in the form description-`{language}`, where:

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### CaptionFormat

    public CaptionFormat()

### Method Detail

#### setFormat

    public void setFormat(String format)

The format you specify determines whether Elastic Transcoder generates an embedded or sidecar caption for this output.

- Valid Embedded Caption Formats:

  - for FLAC: None

  - For MP3: None

  - For MP4: mov-text

  - For MPEG-TS: None

  - For ogg: None

  - For webm: None

- Valid Sidecar Caption Formats: Elastic Transcoder supports dfxp (first div element only), scc, srt, and webvtt. If you want ttml or smpte-tt compatible captions, specify dfxp as your output format.

  - For FMP4: dfxp

  - Non-FMP4 outputs: All sidecar types

  `fmp4` captions have an extension of `.ismt`

Parameters:
  `format` - The format you specify determines whether Elastic Transcoder generates an embedded or sidecar caption for this output.

  - Valid Embedded Caption Formats:

    - for FLAC: None

    - For MP3: None

    - For MP4: mov-text

    - For MPEG-TS: None

    - For ogg: None

    - For webm: None

  - Valid Sidecar Caption Formats: Elastic Transcoder supports dfxp (first div element only), scc, srt, and webvtt. If you want ttml or smpte-tt compatible captions, specify dfxp as your output format.

    - For FMP4: dfxp

    - Non-FMP4 outputs: All sidecar types

    `fmp4` captions have an extension of `.ismt`

#### getFormat

    public String getFormat()

The format you specify determines whether Elastic Transcoder generates an embedded or sidecar caption for this output.

- Valid Embedded Caption Formats:

  - for FLAC: None

  - For MP3: None

  - For MP4: mov-text

  - For MPEG-TS: None

  - For ogg: None

  - For webm: None

- Valid Sidecar Caption Formats: Elastic Transcoder supports dfxp (first div element only), scc, srt, and webvtt. If you want ttml or smpte-tt compatible captions, specify dfxp as your output format.

  - For FMP4: dfxp

  - Non-FMP4 outputs: All sidecar types

  `fmp4` captions have an extension of `.ismt`

Returns:
  The format you specify determines whether Elastic Transcoder generates an embedded or sidecar caption for this output.

  - Valid Embedded Caption Formats:

    - for FLAC: None

    - For MP3: None

    - For MP4: mov-text

    - For MPEG-TS: None

    - For ogg: None

    - For webm: None

  - Valid Sidecar Caption Formats: Elastic Transcoder supports dfxp (first div element only), scc, srt, and webvtt. If you want ttml or smpte-tt compatible captions, specify dfxp as your output format.

    - For FMP4: dfxp

    - Non-FMP4 outputs: All sidecar types

    `fmp4` captions have an extension of `.ismt`

#### withFormat

    public CaptionFormat withFormat(String format)

The format you specify determines whether Elastic Transcoder generates an embedded or sidecar caption for this output.

- Valid Embedded Caption Formats:

  - for FLAC: None

  - For MP3: None

  - For MP4: mov-text

  - For MPEG-TS: None

  - For ogg: None

  - For webm: None

- Valid Sidecar Caption Formats: Elastic Transcoder supports dfxp (first div element only), scc, srt, and webvtt. If you want ttml or smpte-tt compatible captions, specify dfxp as your output format.

  - For FMP4: dfxp

  - Non-FMP4 outputs: All sidecar types

  `fmp4` captions have an extension of `.ismt`

Parameters:
  `format` - The format you specify determines whether Elastic Transcoder generates an embedded or sidecar caption for this output.

  - Valid Embedded Caption Formats:

    - for FLAC: None

    - For MP3: None

    - For MP4: mov-text

    - For MPEG-TS: None

    - For ogg: None

    - For webm: None

  - Valid Sidecar Caption Formats: Elastic Transcoder supports dfxp (first div element only), scc, srt, and webvtt. If you want ttml or smpte-tt compatible captions, specify dfxp as your output format.

    - For FMP4: dfxp

    - Non-FMP4 outputs: All sidecar types

    `fmp4` captions have an extension of `.ismt`

Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setPattern

    public void setPattern(String pattern)

The prefix for caption filenames, in the form description-`{language}`, where:

- description is a description of the video.

- `{language}` is a literal value that Elastic Transcoder replaces with the two- or three-letter code for the language of the caption in the output file names.

If you don't include `{language}` in the file name pattern, Elastic Transcoder automatically appends " `{language}`" to the value that you specify for the description. In addition, Elastic Transcoder automatically appends the count to the end of the segment files.

For example, suppose you're transcoding into srt format. When you enter "Sydney-{language}-sunrise", and the language of the captions is English (en), the name of the first caption file is be Sydney-en-sunrise00000.srt.

Parameters:
  `pattern` - The prefix for caption filenames, in the form description-`{language}`, where:

  - description is a description of the video.

  - `{language}` is a literal value that Elastic Transcoder replaces with the two- or three-letter code for the language of the caption in the output file names.

  If you don't include `{language}` in the file name pattern, Elastic Transcoder automatically appends "`{language}`" to the value that you specify for the description. In addition, Elastic Transcoder automatically appends the count to the end of the segment files.

  For example, suppose you're transcoding into srt format. When you enter "Sydney-{language}-sunrise", and the language of the captions is English (en), the name of the first caption file is be Sydney-en-sunrise00000.srt.

#### getPattern

    public String getPattern()

The prefix for caption filenames, in the form description-`{language}`, where:

- description is a description of the video.

- `{language}` is a literal value that Elastic Transcoder replaces with the two- or three-letter code for the language of the caption in the output file names.

If you don't include `{language}` in the file name pattern, Elastic Transcoder automatically appends " `{language}`" to the value that you specify for the description. In addition, Elastic Transcoder automatically appends the count to the end of the segment files.

For example, suppose you're transcoding into srt format. When you enter "Sydney-{language}-sunrise", and the language of the captions is English (en), the name of the first caption file is be Sydney-en-sunrise00000.srt.

Returns:
  The prefix for caption filenames, in the form description-`{language}`, where:

  - description is a description of the video.

  - `{language}` is a literal value that Elastic Transcoder replaces with the two- or three-letter code for the language of the caption in the output file names.

  If you don't include `{language}` in the file name pattern, Elastic Transcoder automatically appends "`{language}`" to the value that you specify for the description. In addition, Elastic Transcoder automatically appends the count to the end of the segment files.

  For example, suppose you're transcoding into srt format. When you enter "Sydney-{language}-sunrise", and the language of the captions is English (en), the name of the first caption file is be Sydney-en-sunrise00000.srt.

#### withPattern

    public CaptionFormat withPattern(String pattern)

The prefix for caption filenames, in the form description-`{language}`, where:

- description is a description of the video.

- `{language}` is a literal value that Elastic Transcoder replaces with the two- or three-letter code for the language of the caption in the output file names.

If you don't include `{language}` in the file name pattern, Elastic Transcoder automatically appends " `{language}`" to the value that you specify for the description. In addition, Elastic Transcoder automatically appends the count to the end of the segment files.

For example, suppose you're transcoding into srt format. When you enter "Sydney-{language}-sunrise", and the language of the captions is English (en), the name of the first caption file is be Sydney-en-sunrise00000.srt.

Parameters:
  `pattern` - The prefix for caption filenames, in the form description-`{language}`, where:

  - description is a description of the video.

  - `{language}` is a literal value that Elastic Transcoder replaces with the two- or three-letter code for the language of the caption in the output file names.

  If you don't include `{language}` in the file name pattern, Elastic Transcoder automatically appends "`{language}`" to the value that you specify for the description. In addition, Elastic Transcoder automatically appends the count to the end of the segment files.

  For example, suppose you're transcoding into srt format. When you enter "Sydney-{language}-sunrise", and the language of the captions is English (en), the name of the first caption file is be Sydney-en-sunrise00000.srt.

Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setEncryption

    public void setEncryption(Encryption encryption)

The encryption settings, if any, that you want Elastic Transcoder to apply to your caption formats.

Parameters:
  `encryption` - The encryption settings, if any, that you want Elastic Transcoder to apply to your caption formats.

#### getEncryption

    public Encryption getEncryption()

The encryption settings, if any, that you want Elastic Transcoder to apply to your caption formats.

Returns:
  The encryption settings, if any, that you want Elastic Transcoder to apply to your caption formats.

#### withEncryption

    public CaptionFormat withEncryption(Encryption encryption)

The encryption settings, if any, that you want Elastic Transcoder to apply to your caption formats.

Parameters:
  `encryption` - The encryption settings, if any, that you want Elastic Transcoder to apply to your caption formats.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### toString

    public String toString()

Returns a string representation of this object; useful for testing and debugging.

Overrides:
  `toString` in class `Object`
Returns:
  A string representation of this object.
See Also:
  `Object.toString()`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### clone

    public CaptionFormat clone()

Overrides:
  `clone` in class `Object`